Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class I18NText

    java.lang.Object
      org.jbpm.task.I18NText

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class I18NText

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`I18NText()`
`I18NText(String language, String text)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getId()`
`String` | `getLanguage()`
`static String` | `getLocalText(List<I18NText> list, String prefferedLanguage, String defaultLanguage)`
`String` | `getText()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setId(long id)`
`void` | `setLanguage(String language)`
`void` | `setText(String text)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18NText

    public I18NText()

### I18NText

    public I18NText(String language,
                    String text)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

### setId

    public void setId(long id)

### getLanguage

    public String getLanguage()

### setLanguage

    public void setLanguage(String language)

### getText

    public String getText()

### setText

    public void setText(String text)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getLocalText

    public static String getLocalText(List<I18NText> list,
                                      String prefferedLanguage,
                                      String defaultLanguage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.